Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Main::IdleSignal Class Reference

Idle signal class. More...

`#include <inti/main.h>`

List of all members.

## Public Types

- typedef Slot0< bool > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- Connection connect (const SlotType *slot, int priority=G_PRIORITY_DEFAULT_IDLE)
    Connect a slot to be called when the event loop is idle.

## Detailed Description

Idle signal class.

## Member Function Documentation

Connection Inti::Main::IdleSignal::connect | ( | const SlotType * | slot,
|  | int | priority = G_PRIORITY_DEFAULT_IDLE
| ) |

  | Connect a slot to be called when the event loop is idle. Parameters:
  slot | The slot to call.
  priority | The priority which should not be above G_PRIORITY_HIGH_IDLE.
Returns: A connection object that can be used to break or alter the connection. You can give a priority different from GTK_PRIORITY_DEFAULT to the idle function. Note that you will interfere with GTK+ if you use a priority above GTK_PRIORITY_RESIZE. The user function returns false to remove itself or true to have it called again.

The documentation for this class was generated from the following file:

- main.h

Main Page - Footer